<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.vote.system.mapper.VoteSubmissionItemMapper">

    <resultMap id="BaseResultMap" type="com.vote.system.domain.VoteSubmissionItem">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="submissionId" column="submission_id" jdbcType="BIGINT"/>
            <result property="itemId" column="item_id" jdbcType="BIGINT"/>
        <result property="roundId" column="round_id" jdbcType="BIGINT"/>
            <result property="score" column="score" jdbcType="DECIMAL"/>
            <result property="tenantId" column="tenant_id" jdbcType="BIGINT"/>
            <result property="isDeleted" column="is_deleted" jdbcType="CHAR"/>
            <result property="createdAt" column="created_at" jdbcType="TIMESTAMP"/>
            <result property="updatedAt" column="updated_at" jdbcType="TIMESTAMP"/>
            <result property="createById" column="create_by_id" jdbcType="BIGINT"/>
            <result property="createBy" column="create_by" jdbcType="VARCHAR"/>
            <result property="updateById" column="update_by_id" jdbcType="BIGINT"/>
            <result property="updateBy" column="update_by" jdbcType="VARCHAR"/>
            <result property="judgesId" column="judges_id" jdbcType="BIGINT"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,submission_id,item_id,
        score,tenant_id,is_deleted,
        created_at,updated_at,create _by_id,
        create_by,update_by _id,update_by,
        judges_id
    </sql>
</mapper>
